<?xml version="1.0" encoding="UTF-8"?>
<!--
    JBoss, Home of Professional Open Source
    Copyright 2012, Red Hat, Inc. and/or its affiliates, and individual
    contributors by the @authors tag. See the copyright.txt in the
    distribution for a full listing of individual contributors.

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at
    http://www.apache.org/licenses/LICENSE-2.0
    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
 -->

<configuration xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.exoplatform.org/xml/ns/kernel_1_2.xsd http://www.exoplatform.org/xml/ns/kernel_1_2.xsd" xmlns="http://www.exoplatform.org/xml/ns/kernel_1_2.xsd">
    <external-component-plugins>
        <!-- The full qualified name of the PortalContainerConfig -->
        <target-component>org.exoplatform.container.definition.PortalContainerConfig</target-component>
        <component-plugin>
            <!-- The name of the plugin -->
            <name>Add PortalContainer Definitions</name>
            <!-- The name of the method to call on the PortalContainerConfig in order to register the PortalContainerDefinitions -->
            <set-method>registerPlugin</set-method>
            <!-- The full qualified name of the PortalContainerDefinitionPlugin -->
            <type>org.exoplatform.container.definition.PortalContainerDefinitionPlugin</type>
            <init-params>
                <object-param>
                    <name>portal</name>
                    <object type="org.exoplatform.container.definition.PortalContainerDefinition">
                        <!-- The name of the Portal Container: note that a Portal Container called "portal"
                             already exists in the default JPP installation. Therefore, we actually redefine
                             that existing Portal Container here. -->
                        <field name="name">
                            <string>portal</string>
                        </field>
                        <!-- The name of the context name of the rest web application -->
                        <field name="restContextName">
                            <string>rest</string>
                        </field>
                        <!-- The name of the realm -->
                        <field name="realmName">
                            <string>gatein-domain</string>
                        </field>
                        <field name="externalSettingsPath">
                            <string>configuration.properties</string>
                        </field>
                        <!--
                            The list of all the context names that are needed to initialize the Portal Container properly.
                            The order of the dependencies will define the initialization order and also the order for
                            loading resources. When a resource with the same path, say /dir/subdir/resource, is available
                            in more than one of the listed contexts, the one from the context closest to the end of this list
                            will be chosen. Here we want the resources available in gatein-portal-extension to win over all
                            other resources. Therefore we have added gatein-portal-extension as the last element of the list.
                        -->
                        <field name="dependencies">
                            <collection type="java.util.ArrayList">
                                <value>
                                    <string>eXoResources</string>
                                </value>
                                <value>
                                    <string>portal</string>
                                </value>
                                <value>
                                    <string>dashboard</string>
                                </value>
                                <value>
                                    <string>exoadmin</string>
                                </value>
                                <value>
                                    <string>eXoGadgets</string>
                                </value>
                                <value>
                                    <string>gwtGadgets</string>
                                </value>
                                <value>
                                    <string>eXoGadgetServer</string>
                                </value>
                                <value>
                                    <string>rest</string>
                                </value>
                                <value>
                                    <string>web</string>
                                </value>
                                <value>
                                  <string>gatein-mobile-configuration</string>
                                </value>
<#if compatibility.portal.projectNameShort != "GateIn">
                                <!--
                                    Some of the resources we want to override are in jpp-branding-extension.war
                                    and jpp-ext.war which are packaged in jpp-branding-extension.ear.
                                    Note that jpp-ext is the display-name of jpp-branding-extension.war
                                -->
                                <value>
                                    <string>jpp-ext</string>
                                </value>
                                <value>
                                    <string>jpp-branding-skin</string>
                                </value>
</#if>
                                <value>
                                    <string>gatein-portal-extension</string>
                                </value>
                            </collection>
                        </field>
                    </object>
                </object-param>
            </init-params>
        </component-plugin>
    </external-component-plugins>
</configuration>
